apt: pkgSourceList Class Reference

apt 3.2.0 commandline package manager

Classes | Public Types | Public Member Functions | Protected Attributes | List of all members
pkgSourceList Class Reference

## Classes
class | Type

## Public Types
typedef std::vector< metaIndex * >::const_iterator | const_iterator

## Public Member Functions
bool | ReadMainList ()
bool | Read (std::string const &File)
void | Reset ()
bool | ReadAppend (std::string const &File)
bool | ReadSourceDir (std::string const &Dir)
const_iterator | begin () const
const_iterator | end () const
unsigned int | size () const
bool | empty () const
bool | FindIndex (pkgCache::PkgFileIterator File, pkgIndexFile *&Found) const
bool | GetIndexes (pkgAcquire *Owner, bool GetAll=false) const
time_t | GetLastModifiedTime ()
void | AddVolatileFile (pkgIndexFile *const File)
| add file for parsing, but not to the cache
bool | AddVolatileFile (std::string const &File)
bool | AddVolatileFile (std::string const &File, std::vector< std::string > *const VolatileCmdL)
void | AddVolatileFiles (CommandLine &CmdL, std::vector< std::string > *const VolatileCmdL)
std::vector< pkgIndexFile * > | GetVolatileFiles () const

## Protected Attributes
std::vector< metaIndex * > | SrcList

## Member Function Documentation

## ◆ AddVolatileFile()

void AddVolatileFile | ( | pkgIndexFile *const | File | ) |

add file for parsing, but not to the cache

pkgIndexFiles originating from pkgSourcesList are included in srcpkgcache, the status files added via #AddStatusFiles are included in pkgcache, but these files here are not included in any cache to have the possibility of having a file included just for a single run like a local .deb/.dsc file.

The volatile files do not count as "normal" sourceslist entries, can't be iterated over with begin and #end and can't be downloaded, but they can be found via #FindIndex.

Parameters

  File | is an index file; pointer-ownership is transferred

## ◆ GetVolatileFiles()

std::vector< pkgIndexFile * > GetVolatileFiles | ( |  | ) | const

Returns
  list of files registered with AddVolatileFile

Referenced by pkgCacheGenerator::MakeStatusCache().

The documentation for this class was generated from the following files:

- apt-pkg/sourcelist.h
- apt-pkg/sourcelist.cc